// Variables de posicion y duracion de la animacion del label
$label-position: calc(-1 * var(--box-3));
$duration: 250ms;



/*------------------------------------*\
  #Formulario-Envio de dados
\*------------------------------------*/

// Estilos del <form>
.form {
  position: relative;
  width: 100%;
  padding: {
    left: var(--box-4);
    right: var(--box-4);
    bottom: var(--box-4);
  }
  margin-top: var(--box-14);
  border-radius: var(--edge-md);
  background: rgb(123, 145, 167);

  @media #{$mq-md} {
    width: 80%;
    margin-right: auto;
    margin-left: auto;
    padding: {
      left: var(--box-12);
      right: var(--box-12);
      bottom: var(--box-2);
    }
  }

  &__btn-color {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: var(--box-base);
    margin-bottom: var(--box-4);
    margin-right: var(--box-4);
    border-radius: var(--edge-sm);
    background: var(--brand-secondary);
  }

  &__next {
    @include square(var(--box-3));
  }

  // <div> que encierra el <label>, el <input> y el icono
  &__field {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    margin-bottom: var(--box-4);
  }

  // Estilos del icono
  &__icon {
    @include square(var(--box-2));
    justify-content: center;
    align-items: center;
    margin-right: var(--box-2);
  }

  // Se aplican estos estilos una vez que se hace focus sobre un <input>
  .input {
    &:focus ~ .form__text {
      font-size: var(--txt-2);
      transform: translateY($label-position);
    }
  }

  // Estilos del <label>
  &__text {
    position: absolute;
    top: 0;
    left: var(--box-6);
    color: var(--gray-light);
    font-size: var(--txt-3);
    font-weight: bold;
    transition: $duration ease-in;
    transition-property: transform, font-size, color;

    /*
      Se aplican estos estilos cuando se detecta con js, que el <input>
      contiene texto. Con js se hace un toggle de esta clase a cada <input>
    */
    &--is-active {
      font-size: var(--txt-2);
      color: var(--brand-primary);
      transform: translateY($label-position);
    }
  }

  // Estilos para el botón de Enviar
  &__buttton-send {
    margin-top: var(--box-3);
    margin-bottom: var(--box-3);
    text-align: center;
  }


  // Acomodo de las filas
  &__first-row {
    display: flex;

    &__col {
      width: 100%;

      &:not(:last-child) {margin-right: var(--box-4);}
    }
  }

  &__last-row {display: flex;}
}




// Resumen de los datos enviados
.summary {
  width: 700px;
  margin-top: var(--box-8);
  margin-bottom: var(--box-20);
  border-radius: var(--edge-sm);
  background: #f0f0f0;
  box-shadow: 3px 2px 10px var(--gray-darker);

  &__body {
    position: relative;
    padding: var(--box-2) var(--box-10);

    &::before {
      position: absolute;
      top: 0;
      left: 50%;
      width: 2px;
      height: 100%;
      content: '';
      background: var(--brand-secondary);
      transform: translateX(-50%);
    }
  }

  &__field {
    display: flex;
    margin-bottom: var(--box-base);
  }

  &__title-data {
    margin-top: 0;
    margin-bottom: var(--box-base);
    color: var(--brand-secondary);
    font-size: var(--txt-4);
    text-transform: uppercase;

    &:not(:first-child) {
      margin-top: var(--box-8);
    }
  }

  &__item {
    width: 50%;
    color: var(--gray);

    &:not(:first-child) {
      margin-left: var(--box-18);
    }

    &--bold {
      color: var(--black);
      font-weight: bold;
    }
  }

  &__text-small {font-size: var(--txt-3);}
}

